Subject: Re: [PATCH] gitweb/INSTALL: Simplify description of GITWEB_CONFIG_SYSTEM

From: Jakub Narębski <[email-masked]>
Date: Tue, 16 Apr 2013 09:11:10 +0200

Junio C Hamano wrote:

> In order to just pick and use the more appropriate one (or a useful
> combination of the two), a clean description of what each of them do
> without historical cruft is more readable and useful, isn't it?  I
> would expect that most of them who are newly configuring a system
> would pick COMMON one and override per instance as needed, without
> touching the SYSTEM one (fallback default) after reading the above,
> and that is what we want to happen.
> 
> Do you think sysadmins need a history lesson to understand why there
> are two different possibilities?
[...]
> I think the new text conveys the necessary information to the
> intended audience with more clarity without the history lesson or
> the record of your past frustration. Am I mistaken?

Note also that this is about *gitweb/INSTALL*, which is meant to be
*short* and succint description on how to install gitweb, and not
about the reference documentation: gitweb(1) or gitweb.conf(5).

Description of historical behavior (and backward compatibility)
has place (if any) in manpages, not gitweb/INSTALL.
-- 
Jakub Narębski